package com.bonus.canteen.core.customer.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel("组织树")
@Data
public class CustOrgTreeDTO {
   @ApiModelProperty("机构id")
   private Long orgId;
   @ApiModelProperty("机构编号")
   private String orgNum;
   @ApiModelProperty("机构名称")
   private String orgName;
   @ApiModelProperty("机构全称")
   private String orgFullName;
   @ApiModelProperty("机构级别")
   private Integer orgLevel;
   @ApiModelProperty("上级机构id")
   private Long superId;
   @ApiModelProperty("是否有子级，1：有；0：没有")
   private Integer hasChildren;
   @ApiModelProperty("节点状态：1全选；2半选")
   private Integer halfSelect;
   @ApiModelProperty("排序号")
   private Integer sort;

   public Long getOrgId() {
      return this.orgId;
   }

   public String getOrgNum() {
      return this.orgNum;
   }

   public String getOrgName() {
      return this.orgName;
   }

   public String getOrgFullName() {
      return this.orgFullName;
   }

   public Integer getOrgLevel() {
      return this.orgLevel;
   }

   public Long getSuperId() {
      return this.superId;
   }

   public Integer getHasChildren() {
      return this.hasChildren;
   }

   public Integer getHalfSelect() {
      return this.halfSelect;
   }

   public Integer getSort() {
      return this.sort;
   }

   public void setOrgId(final Long orgId) {
      this.orgId = orgId;
   }

   public void setOrgNum(final String orgNum) {
      this.orgNum = orgNum;
   }

   public void setOrgName(final String orgName) {
      this.orgName = orgName;
   }

   public void setOrgFullName(final String orgFullName) {
      this.orgFullName = orgFullName;
   }

   public void setOrgLevel(final Integer orgLevel) {
      this.orgLevel = orgLevel;
   }

   public void setSuperId(final Long superId) {
      this.superId = superId;
   }

   public void setHasChildren(final Integer hasChildren) {
      this.hasChildren = hasChildren;
   }

   public void setHalfSelect(final Integer halfSelect) {
      this.halfSelect = halfSelect;
   }

   public void setSort(final Integer sort) {
      this.sort = sort;
   }




}
